//
//  KeynoteCommands.m
//  KeynoteHijack
//
//  Created by uros petrevski on 21/03/09.
//  Copyright 2009 NoDesign. All rights reserved.
//

#import "KeynoteCommands.h"


@implementation KeynoteCommands


- (BOOL)isPlaying
{
	
	NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to playing"];
	NSAppleScript *script = [[NSAppleScript alloc] init];
	
	NSDictionary *reponse = nil;
	NSAppleEventDescriptor *result;
	
	[script initWithSource:sourceScript];
	[script compileAndReturnError:nil];
	
	result = [script executeAndReturnError:&reponse];
	
	if ([[result stringValue] isEqualToString:@"false"]) {
		
		return NO;
	} else {
		return YES;
	}
	
}

- (void)play 
{
	NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to start"];
	NSAppleScript *script = [[NSAppleScript alloc] init];
	
	NSDictionary *reponse = nil;
	NSAppleEventDescriptor *result;
	
	[script initWithSource:sourceScript];
	[script compileAndReturnError:nil];
	
//
	result = [script executeAndReturnError:&reponse];

}

- (void)gotoFrame:(NSString *)frame
{
	
	if ([self isPlaying]) {
		if (frame) {
			NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to show slide %@", frame];
			NSAppleScript *script = [[NSAppleScript alloc] init];
			
			[script initWithSource:sourceScript];
			[script compileAndReturnError:nil];
			[script executeAndReturnError:nil];
		}
		
	}
	
}

- (void)playNextFrame
{
	if ([self isPlaying]) {
		NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to show next"];
		NSAppleScript *script = [[NSAppleScript alloc] init];
		
		[script initWithSource:sourceScript];
		[script compileAndReturnError:nil];
		[script executeAndReturnError:nil];
		
		
	}
	
}


- (void)playPreviousFrame
{
	if ([self isPlaying]) {
		NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to show previous"];
		NSAppleScript *script = [[NSAppleScript alloc] init];
		
		[script initWithSource:sourceScript];
		[script compileAndReturnError:nil];
		[script executeAndReturnError:nil];
		
		
	}
}

/* UNTESTED
 - (NSString *)getPresentationName
 {
 
 NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to name"];
 NSAppleScript *script = [[NSAppleScript alloc] init];
 
 NSDictionary *reponse = nil;
 NSAppleEventDescriptor *result;
 
 [script initWithSource:sourceScript];
 [script compileAndReturnError:nil];
 
 result = [script executeAndReturnError:&reponse];
 
 //TODO finish me
 NSString *a = [[NSString alloc] init];
 return a;
 
 
 }
 */

/* UNTESTED
 - (NSInteger)getCurrentFrame
 {
 
 NSString *sourceScript = [NSString stringWithFormat:@"tell application \"Keynote\" to tell slideshow 1 to current slide"];
 NSAppleScript *script = [[NSAppleScript alloc] init];
 
 NSDictionary *reponse = nil;
 NSAppleEventDescriptor *result;
 
 [script initWithSource:sourceScript];
 [script compileAndReturnError:nil];
 
 result = [script executeAndReturnError:&reponse];
 
 
 
 return [result integerValue]; /// ooops not tested
 }
 */


@end
